<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence du fichier src/usbDisk2.py</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('usbDisk2_8py.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Espaces de nommage</a> &#124;
<a href="#func-members">Fonctions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier usbDisk2.py</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="usbDisk2_8py_source.html">Aller au code source de ce fichier.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html">src.usbDisk2.UDisksBackend</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html">src.usbDisk2.uDisk2</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">une classe pour représenter un disque ou une partition.  <a href="classsrc_1_1usbDisk2_1_1uDisk2.html#details">Plus de détails...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html">src.usbDisk2.Available</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">une classe pour représenter la collection des disques USB connectés  <a href="classsrc_1_1usbDisk2_1_1Available.html#details">Plus de détails...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1MainWindow.html">src.usbDisk2.MainWindow</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Espaces de nommage</h2></td></tr>
<tr class="memitem:namespacesrc_1_1usbDisk2"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html">src.usbDisk2</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a40f49ea9cccdda381360944bb4694c67"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a40f49ea9cccdda381360944bb4694c67">src.usbDisk2.inspectData</a> ()</td></tr>
<tr class="separator:a40f49ea9cccdda381360944bb4694c67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cc978f0b36fc7a494c61860e5cd2a3a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a1cc978f0b36fc7a494c61860e5cd2a3a">src.usbDisk2.safePath</a> (obj)</td></tr>
<tr class="memdesc:a1cc978f0b36fc7a494c61860e5cd2a3a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Récupère de façon sûre le path d'une instance de UDisksObjectProxy.  <a href="namespacesrc_1_1usbDisk2.html#a1cc978f0b36fc7a494c61860e5cd2a3a">Plus de détails...</a><br /></td></tr>
<tr class="separator:a1cc978f0b36fc7a494c61860e5cd2a3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a124088b557ce86499f2bbb50a54df3de"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a124088b557ce86499f2bbb50a54df3de">src.usbDisk2.fs_size</a> (device)</td></tr>
<tr class="memdesc:a124088b557ce86499f2bbb50a54df3de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Renvoie la taille d'un système de fichier et la place disponible.  <a href="namespacesrc_1_1usbDisk2.html#a124088b557ce86499f2bbb50a54df3de">Plus de détails...</a><br /></td></tr>
<tr class="separator:a124088b557ce86499f2bbb50a54df3de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b785d4df1b354b96fff6351c4d228b9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a9b785d4df1b354b96fff6351c4d228b9">src.usbDisk2.print_targets_if_modif</a> (man, obj)</td></tr>
<tr class="separator:a9b785d4df1b354b96fff6351c4d228b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a535b2d454752927e5e0498f83f699f42"><td class="memItemLeft" align="right" valign="top">dictionary&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a535b2d454752927e5e0498f83f699f42">src.usbDisk2.licence</a> = {}</td></tr>
<tr class="separator:a535b2d454752927e5e0498f83f699f42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73d793d56af8fd2191b58cdbc239419d"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a73d793d56af8fd2191b58cdbc239419d">src.usbDisk2.licence_en</a></td></tr>
<tr class="separator:a73d793d56af8fd2191b58cdbc239419d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6888ffacbe946e7676339f7fc3696912"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a6888ffacbe946e7676339f7fc3696912">src.usbDisk2.dependances</a> = &quot;python3-dbus python3-dbus.mainloop.pyqt5&quot;</td></tr>
<tr class="separator:a6888ffacbe946e7676339f7fc3696912"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9df1fdfc2e7c6f4893a1566c4db759a3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a9df1fdfc2e7c6f4893a1566c4db759a3">src.usbDisk2.debug</a> = False</td></tr>
<tr class="memdesc:a9df1fdfc2e7c6f4893a1566c4db759a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">activate debugging #######################  <a href="namespacesrc_1_1usbDisk2.html#a9df1fdfc2e7c6f4893a1566c4db759a3">Plus de détails...</a><br /></td></tr>
<tr class="separator:a9df1fdfc2e7c6f4893a1566c4db759a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e93b1fb0e3ca6307812e8f464814155"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a2e93b1fb0e3ca6307812e8f464814155">src.usbDisk2.level</a></td></tr>
<tr class="separator:a2e93b1fb0e3ca6307812e8f464814155"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2c8a01e0625293a29146b0dcbed4a39"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#ad2c8a01e0625293a29146b0dcbed4a39">src.usbDisk2.no_options</a> = GLib.Variant('a{sv}', {})</td></tr>
<tr class="memdesc:ad2c8a01e0625293a29146b0dcbed4a39"><td class="mdescLeft">&#160;</td><td class="mdescRight">la variable suivante a été recopiées à l'aveugle ################ depuis un fichier du projet USBcreator ##########################  <a href="namespacesrc_1_1usbDisk2.html#ad2c8a01e0625293a29146b0dcbed4a39">Plus de détails...</a><br /></td></tr>
<tr class="separator:ad2c8a01e0625293a29146b0dcbed4a39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83c9a8fbdb41f52508949686d997cddc"><td class="memItemLeft" align="right" valign="top">tuple&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a83c9a8fbdb41f52508949686d997cddc">src.usbDisk2.not_interesting</a></td></tr>
<tr class="memdesc:a83c9a8fbdb41f52508949686d997cddc"><td class="mdescLeft">&#160;</td><td class="mdescRight">des "chemins" correspondant à des disques non débranchables ########  <a href="namespacesrc_1_1usbDisk2.html#a83c9a8fbdb41f52508949686d997cddc">Plus de détails...</a><br /></td></tr>
<tr class="separator:a83c9a8fbdb41f52508949686d997cddc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2e9157315de37a948920b8ad2acd1ea"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#ac2e9157315de37a948920b8ad2acd1ea">src.usbDisk2.machin</a></td></tr>
<tr class="separator:ac2e9157315de37a948920b8ad2acd1ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abca0b8bcb24bdfb2b8443a7ddeb36254"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#abca0b8bcb24bdfb2b8443a7ddeb36254">src.usbDisk2.app</a> = QApplication(sys.argv)</td></tr>
<tr class="separator:abca0b8bcb24bdfb2b8443a7ddeb36254"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35e8cb05f48405cf17cba03217677439"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesrc_1_1usbDisk2.html#a35e8cb05f48405cf17cba03217677439">src.usbDisk2.main</a> = MainWindow()</td></tr>
<tr class="separator:a35e8cb05f48405cf17cba03217677439"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="usbDisk2_8py.html">usbDisk2.py</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
